package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.EngineMaintenance;
import com.muyu.domain.EngineVersion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EngineVersionMapper extends BaseMapper<EngineVersion> {
    Integer add(EngineVersion engineVersion);

    List<EngineMaintenance> getByIds(@Param("versionId") Integer versionId);

    void onEngine(@Param("id") Integer id);

    void close(@Param("id") Integer id);
}
